<? 
require_once('../conf/connection.php');

$numero = $_POST["numero"];
$sucu = $_POST["sucu"];
$nombreuser=$_POST["nombreuser"];
$forma = $_POST["f_pagos"]; // efectivo=1 | transbank (credito)=2 | transbank(debito)=3 | cuenta_cliente=4
$tipo = 3; //1= boleta // 2= factura //10=sin doc //3=cotizacion 
$total = $_POST["pago"];
$fecha= date("Y-m-d");
$hora = date('h:i a'); 
$descuento = $_POST["descuento"];
$cliente = $_POST["cliente"];
$fono = $_POST["fono"];
$obs = $_POST["obs"];
if($tipo==1){
	
	   //extraer numero anterior
       $query_num="SELECT * FROM num_factura";
	   $res_num=mysql_query($query_num);
	   $num_ant=mysql_result($res_num,0,"num");
	   // sumar 1 al numero anterior
	   $boleta=$num_ant+1;
	   // actualizar base de datos
       $query_actualiza="UPDATE num_factura SET num='$boleta' ";
	   $res_actualiza=mysql_query($query_actualiza);
	   //fin
	
}else{


if($numero<>""){

$query_suma="SELECT  SUM(valor_total) AS total_venta  FROM detalles_pedido WHERE numero='$numero'";
$rs_query_suma=mysql_query($query_suma);
$total_venta=mysql_result($rs_query_suma,0,"total_venta");

$miarchivo=fopen($archivo."pedido.txt","w");//abrir archivo, nombre archivo, modo apertura

fwrite($miarchivo,"         ADMIN-POST V 1.0 '' " . PHP_EOL); //TITULO
fwrite($miarchivo,"    -------------------------------------"  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo,"     N PEDIDO ".$numero . PHP_EOL) ;
fwrite($miarchivo,"     N DE BOLETA ".$boleta . PHP_EOL) ; 
fwrite($miarchivo,"    -------------------------------------"  . PHP_EOL ); //LINEA DE SEPARACION

fwrite($miarchivo,"    FECHA: ".$fecha . PHP_EOL ); //fECHA 
fwrite($miarchivo,"    HORA: ".$hora . PHP_EOL ); //HORA
fwrite($miarchivo,"    DETALLES". PHP_EOL ); //inicio del detalle del tiket 
fwrite($miarchivo,"    PRODUCTO");fwrite($miarchivo,"        CANTIDAD");fwrite($miarchivo,"    TOTAL" . PHP_EOL) ;//CABESA DE LA TABLA
fwrite($miarchivo,"    -------------------------------------"  . PHP_EOL ); //LINEA DE SEPARACION
//INICIO DEL BUCLE 

           $buscar='select * from detalles_pedido where numero='.$numero.'';
  		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{			
				while($row=mysql_fetch_assoc($r))
				{ 
					 $codarticulo=$row["codarticulo"];
					 $query="SELECT * FROM articulos WHERE referencia='$codarticulo'";
 					 $rs_query=mysql_query($query);
					 
					 $nombre=mysql_result($rs_query,0,"descripcion");
                     $cart_nom=strlen($nombre);
					 		
					 
					 $cantidad=$row["cantidad"];
					 $cart_cant=strlen($cantidad);
					 
					 $total=$row["valor_total"];	
					 $cart_total=strlen($total);
					 
					 //mostraamos las variables 
					 
					 fwrite($miarchivo,"   ".$nombre);
                     for($l_cant=$cart_nom;$l_cant<=26;$l_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$cantidad);
                     for($r_cant=$cart_cant;$r_cant<=7;$r_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$total.  PHP_EOL );
                   
					 
					 
				}
			   fwrite($miarchivo,"    -------------------------------------". PHP_EOL ); //LINEA DE SEPARACION
               fwrite($miarchivo,"    TOTAL                           ".$total_venta.  PHP_EOL );			}

//FIN DEL BUCLE
fclose($miarchivo); //cerrar archivo

//$file = file_get_contents('pedido.txt'); //tu archivo a imprimir
//$handle = printer_open("tiket");
//printer_write($handle, $file);
//printer_close($handle);
//fin 

//extraer la suma total del pedido
       $query_valor="SELECT SUM(valor_total) AS total_venta FROM detalles_pedido WHERE numero='$numero'";
	   $res_valor=mysql_query($query_valor);
	   $total_venta=mysql_result($res_valor,0,"total_venta");
	   $total_final=$total_venta-$descuento;
//insertamos pedidod a la base de datos 
// estado 1= activo 2= desactivo
           
		 $insertar="insert into tp_doc (iddoc, cantidad, valor_unitario, valor_total, numero, pedido,tipo,fecha,forma,sucu,cliente,fono,obs) 
		 values (";
		 $insertar.="\"\", \"$cantidad\",\"$valor_unit\",\"$total_final\",\"$numero\",\"$numero\",\"$tipo\",\"$fecha\",\"$forma\",\"$sucu\",\"$cliente\",\"$fono\",\"$obs\")";       
        
//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			

			?> 
<META HTTP-EQUIV="REFRESH" CONTENT="0;URL=index.php?nombreuser=<? echo $nombreuser ?>">
<? }else{?><script>alert("ERROR: Existen campos vacíos, verifique la información...");window.history.back();</script> <? } }?> 

